FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Packaging

 
 
LinkBack Thread Tools
 
Old 04-09-2011, 05:01 PM
Christoph Wickert
 
Default Conditional comparision doesn't work

I have a spec with

%global panelversion 4.8.3
or
%global panelversion %(rpm -q --qf='%{VERSION}' xfce4-panel)

As expected this returns "4.8.3" and

Requires: xfce4-panel >= %{panelversion}

works fine. However

%if 0%{?panelversion} >= 4.7
%patch3 -p1
%endif

does not but returns:

Error: xfce4-cellmodem-plugin.spec:54: parseExpressionBoolean returns -1

Do I miss something obvious?

Regards,
Christoph

--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging
 
Old 04-09-2011, 05:14 PM
Michael Schwendt
 
Default Conditional comparision doesn't work

On Sat, 09 Apr 2011 19:01:20 +0200, Christoph wrote:

> I have a spec with
>
> %global panelversion 4.8.3
> or
> %global panelversion %(rpm -q --qf='%{VERSION}' xfce4-panel)
>
> As expected this returns "4.8.3" and
>
> Requires: xfce4-panel >= %{panelversion}
>
> works fine. However
>
> %if 0%{?panelversion} >= 4.7
> %patch3 -p1
> %endif
>
> does not but returns:
>
> Error: xfce4-cellmodem-plugin.spec:54: parseExpressionBoolean returns -1
>
> Do I miss something obvious?

Neither 04.8.3 nor 4.7 can be converted into an integer as expected by
the >= comparison. For values like that, you would need to use string
comparison.
--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging
 
Old 04-09-2011, 05:34 PM
Christoph Wickert
 
Default Conditional comparision doesn't work

Am Samstag, den 09.04.2011, 19:14 +0200 schrieb Michael Schwendt:
> On Sat, 09 Apr 2011 19:01:20 +0200, Christoph wrote:
>
> > I have a spec with
> >
> > %global panelversion 4.8.3
> > or
> > %global panelversion %(rpm -q --qf='%{VERSION}' xfce4-panel)
> >
> > As expected this returns "4.8.3" and
> >
> > Requires: xfce4-panel >= %{panelversion}
> >
> > works fine. However
> >
> > %if 0%{?panelversion} >= 4.7
> > %patch3 -p1
> > %endif
> >
> > does not but returns:
> >
> > Error: xfce4-cellmodem-plugin.spec:54: parseExpressionBoolean returns -1
> >
> > Do I miss something obvious?
>
> Neither 04.8.3 nor 4.7 can be converted into an integer as expected by
> the >= comparison. For values like that, you would need to use string
> comparison.

What would that look like in a spec?

Regards,
Christoph

--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging
 

Thread Tools




All times are GMT. The time now is 01:14 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org